Bug 436243 - [M22] X server schizophrenic about screen size: reports one size, windows are maximized to a different one
[M22] X server schizophrenic about screen size: reports one size, windows ar...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
[cat:rendering]
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 21:37 EST by dann
Modified: 2012-08-07 16:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:13:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (86.18 KB, text/plain)
2008-03-05 21:37 EST, dann
no flags Details
Xorg.0.log on F12 (31.97 KB, text/plain)
2010-02-03 12:51 EST, dann
no flags Details
dmesg output on F12 (37.77 KB, text/plain)
2010-02-03 12:52 EST, dann
no flags Details

  None (edit)
Description dann 2008-03-05 21:37:29 EST
Description of problem:

System: A Thinkpad T43 laptop in a docking station connected to an external LCD
monitor.
Problem: 
xdpyinfo reports the screen size to be 1600x1200 (which is correct), but
maximizing a window (with either metacity or fvwm) only maximizes it to
1400x1050 -- which is the size of the laptop's built-in screen.

This problem started a few weeks ago after a yum update, everything worked fine
before, and worked fine with FC5, F6 and F7.

The Xorg.0.log is attached. 

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.8.0-1.fc8
Comment 1 dann 2008-03-05 21:37:29 EST
Created attachment 296983 [details]
Xorg.0.log
Comment 2 dann 2008-05-21 03:57:00 EDT
Still happens in F9 with xorg-x11-drv-ati-6.8.0-14.fc9.i386
Comment 3 Bug Zapper 2008-11-26 05:02:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 dann 2008-12-01 12:41:33 EST
Still happens in F9
Comment 5 dann 2009-01-14 02:19:55 EST
Still happens in F10
Comment 6 dann 2009-06-29 17:17:01 EDT
Works fine in F11.
Comment 7 dann 2009-12-10 12:42:55 EST
Reopening, it is happening again in F12, same machine.
Comment 8 Bug Zapper 2009-12-18 01:04:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 dann 2009-12-18 02:17:12 EST
Happens in F12 too.
Comment 10 Jérôme Glisse 2010-01-11 09:39:31 EST
Please attach dmesg & Xorg log under f12.
Comment 11 dann 2010-02-03 12:51:42 EST
Created attachment 388574 [details]
Xorg.0.log on F12
Comment 12 dann 2010-02-03 12:52:12 EST
Created attachment 388575 [details]
dmesg output on F12
Comment 13 dann 2010-02-03 12:52:32 EST
(In reply to comment #10)
> Please attach dmesg & Xorg log under f12.    

Done.
Comment 14 Vedran Miletić 2010-05-24 16:29:56 EDT
How about F13?
Comment 15 dann 2010-11-03 23:54:52 EDT
Still happens in F13.
Comment 16 Bug Zapper 2010-11-04 08:01:25 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2011-06-02 14:35:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2011-06-27 09:57:01 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 dann 2011-06-27 10:04:51 EDT
Still happens on F15
Comment 20 Dave Airlie 2011-11-24 14:39:38 EST
have you closed the lid or something, I don't think lid detect works

xrandr --output LVDS --off might help.
Comment 21 Fedora End Of Life 2012-08-07 16:13:27 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.